Package org.firebirdsql.jdbc

## Class FBObjectListener.NoActionFetcherListener

- java.lang.Object
- - org.firebirdsql.jdbc.FBObjectListener.NoActionFetcherListener

All Implemented Interfaces:
  `FBObjectListener.FetcherListener`

Enclosing interface:
  FBObjectListener

    public static final class FBObjectListener.NoActionFetcherListener
    extends java.lang.Object
    implements FBObjectListener.FetcherListener

Implementation of `FBObjectListener.FetcherListener` that does nothing.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `allRowsFetched​(org.firebirdsql.jdbc.FBFetcher fetcher)` Notify listener that underlying fetcher fetched all rows.
`void` `fetcherClosed​(org.firebirdsql.jdbc.FBFetcher fetcher)` Notify listener that underlying fetcher is closed.
`static FBObjectListener.FetcherListener` `instance()`
`void` `rowChanged​(org.firebirdsql.jdbc.FBFetcher fetcher, RowValue newRow)` Notify listener that underlying row was changed.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### instance

    public static FBObjectListener.FetcherListener instance()

#### fetcherClosed

    public void fetcherClosed​(org.firebirdsql.jdbc.FBFetcher fetcher)

Description copied from interface: `FBObjectListener.FetcherListener`
Notify listener that underlying fetcher is closed.

Specified by:
  `fetcherClosed` in interface `FBObjectListener.FetcherListener`
Parameters:
  `fetcher` - fetcher that was closed.

#### allRowsFetched

    public void allRowsFetched​(org.firebirdsql.jdbc.FBFetcher fetcher)

Description copied from interface: `FBObjectListener.FetcherListener`
Notify listener that underlying fetcher fetched all rows.

Specified by:
  `allRowsFetched` in interface `FBObjectListener.FetcherListener`
Parameters:
  `fetcher` - fetcher that fetched all rows.

#### rowChanged

    public void rowChanged​(org.firebirdsql.jdbc.FBFetcher fetcher,
                           RowValue newRow)

Description copied from interface: `FBObjectListener.FetcherListener`
Notify listener that underlying row was changed.

Specified by:
  `rowChanged` in interface `FBObjectListener.FetcherListener`
Parameters:
  `fetcher` - instance of `FBFetcher` that caused this event.
  `newRow` - new row.